<?php
/**
 * Class FormFactory
 *
 * @package SmartMailer
 */

namespace SmartMailer\Forms;

use Nette\Forms\Form;
use Nette\Forms\Validator;

/**
 * Class FormFactory
 *
 * @package SmartMailer
 */
class FormFactory {

	public function __construct() {
		add_action(
			'init',
			function () {
				Validator::$messages[ Form::MIN ]     = __( 'Please enter value greater than or equal to %d', 'packeta' );
				Validator::$messages[ Form::MAX ]     = __( 'Please enter value less than or equal to %d', 'packeta' );
				Validator::$messages[ Form::INTEGER ] = __( 'Enter valid number', 'packeta' );
				Validator::$messages[ Form::FLOAT ]   = __( 'Enter valid number', 'packeta' );
				Validator::$messages[ Form::FILLED ]  = __( 'This field is required', 'packeta' );
			},
			11
		);
	}

	/**
	 * Creates Form
	 *
	 * @param string|null $name Form name.
	 *
	 * @return Form
	 */
	public function create( ?string $name = null ): Form {
		$form = new Form( $name );
		$form->allowCrossOrigin();
		// $form->addProtection('Vypršel časový limit, odešlete formulář znovu');
		return $form;
	}
}
