<?php

namespace SmartMailer\Forms;

require_once __DIR__ . '/FormFactory.php';

class Options
{
    public function createForm()
    {
        $form = (new FormFactory())->create();

        $form->addText('apiToken', 'API Token')
            ->setRequired(true);
        $form->addText('subscribeListUUID', __('UUID Adresáře', 'smartmailer'));

        $form->addCheckbox('integrationWordpress');
        $form->addCheckbox('integrationWoocommerce');
        $form->addCheckbox('integrationContactform7');
        $form->addCheckbox('integrationWpforms');

        $form->addSubmit('saveSettings');

        $form->setDefaults(
            [
                'apiToken' => get_option('smartmailer_api_token'),
                'subscribeListUUID' => get_option('smartmailer_subscribe_uuid'),
                'integrationWordpress' => get_option('smartmailer_int_wordpress'),
                'integrationWoocommerce' => get_option('smartmailer_int_woocommerce'),
                'integrationContactform7' => get_option('smartmailer_int_contactform7'),
                'integrationWpforms' => get_option('smartmailer_int_wpforms'),
            ]
        );

        if ($form->isSuccess()) {
            $values = $form->getValues();
            update_option('smartmailer_api_token', $values->apiToken);
            update_option('smartmailer_subscribe_uuid', $values->subscribeListUUID);

            update_option('smartmailer_int_wordpress', $values->integrationWordpress);
            update_option('smartmailer_int_woocommerce', $values->integrationWoocommerce);
            update_option('smartmailer_int_contactform7', $values->integrationContactform7);
            update_option('smartmailer_int_wpforms', $values->integrationWpforms);

            wp_safe_redirect(add_query_arg([
                'page' => 'smartmailer-settings',
                'smu' => 1
            ], get_admin_url() . 'admin.php'
            ));
        }

        return $form;
    }
}
