<?php

namespace SmartMailer\Forms;

require_once __DIR__ . '/FormFactory.php';
require_once SMARTMAILER_ROOT_DIR . '/src/SmartMailerFunctions.php';

use Nette\Forms\Form;

class WPForms {
	public function createForm(): Form {
		$form     = ( new \SmartMailer\Forms\FormFactory() )->create();
		$wp_forms = \SmartMailerFunctions::get_wpforms_forms();
		$defaults = array();

		foreach ( $wp_forms as $wp_form ) {
			$container                        = $form->addContainer( 'tab' . $wp_form->ID );
			$wp_form_fields                   = wpforms_get_form_fields( $wp_form );
			$defaults[ 'tab' . $wp_form->ID ] = get_option( 'sm_wpforms_' . $wp_form->ID, array() );

			foreach ( $wp_form_fields as $wp_form_field ) {
				$container->addText( str_ireplace( '-', '', sanitize_title( $wp_form_field['label'] ) ), $wp_form_field['label'] )->setRequired( false );
			}
		}

		$form->addSubmit( 'saveWPFSettings' );

		$form->setDefaults( $defaults );

		if ( $form->isSuccess() ) {
			$values = $form->getValues( true );
			foreach ( $wp_forms as $wp_form ) {
				$selector = 'tab' . $wp_form->ID;
				update_option( 'sm_wpforms_' . $wp_form->ID, $values[ $selector ], 'no' );
			}

			wp_safe_redirect(
				add_query_arg(
					array(
						'page' => 'smartmailer-wpf-settings',
						'smu'  => 1,
					),
					get_admin_url() . 'admin.php'
				)
			);
		}

		return $form;
	}
}
