<?php

add_action(
	'admin_enqueue_scripts',
	function () {
		if (isset($_GET['page']) && 'smartmailer' === substr($_GET['page'], 0, 11)) {
			wp_enqueue_style( 'bootstrap5min', SMARTMAILER_ASSETS_DIR_URL . '/css/bootstrap.min.css' );
			wp_enqueue_style( 'smartmailer', SMARTMAILER_ASSETS_DIR_URL . '/css/smartmailer.css' );
			wp_enqueue_script( 'bootstrap5min', SMARTMAILER_ASSETS_DIR_URL . '/js/bootstrap.bundle.min.js' );
		}
	}
);

function write_notices(): void {
	if ( isset( $_GET['smu'] ) && $_GET['smu'] === '1' ) {
		$class   = 'notice notice-success is-dismissible mt-4';
		$message = __( 'Uloženo!', 'smartmailer' );

		printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) );
	}

	$current_page         = admin_url( sprintf( 'admin.php?%s', http_build_query( $_GET ) ) );
	$sm_settings_page_url = add_query_arg(
		array(
			'page' => 'smartmailer-settings',
		),
		get_admin_url() . 'admin.php'
	);

	if ( SmartMailerFunctions::isContactForm7Active() && $current_page === $sm_settings_page_url ) {
		$cf7_page_url = add_query_arg(
			array(
				'page' => 'smartmailer-cf7-settings',
			),
			get_admin_url() . 'admin.php'
		);
		$class        = 'notice notice-warning is-dismissible mt-4';
		$message      = __( 'Nezapomeňte provést párování polí Contact Form 7 <a href="' . $cf7_page_url . '">zde</a>.', 'smartmailer' );

		printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), $message );
	}

	if ( SmartMailerFunctions::isWPFormsActive() && $current_page === $sm_settings_page_url ) {
		$cf7_page_url = add_query_arg(
			array(
				'page' => 'smartmailer-wpforms-settings',
			),
			get_admin_url() . 'admin.php'
		);
		$class        = 'notice notice-warning is-dismissible mt-4';
		$message      = __( 'Nezapomeňte provést párování polí WPForms <a href="' . $cf7_page_url . '">zde</a>.', 'smartmailer' );

		printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), $message );
	}
}

function renderTemplate( string $template, array $params = array(), $output = true ) {
	$latte = new Latte\Engine();
	$latte->setTempDirectory( SMARTMAILER_CACHE_DIR );
	$latte->setAutoRefresh( true );

	$defaultParams = array(
		'imgPath' => SMARTMAILER_ASSETS_DIR_URL . '/images',
	);

	$params = $defaultParams + $params;

	if ( $output ) {
		$latte->render( sprintf( '%s%s%s', SMARTMAILER_ROOT_DIR . '/templates/', $template, '.latte' ), $params );
	} else {
		return $latte->renderToString( sprintf( '%s%s%s', SMARTMAILER_ROOT_DIR . '/templates/', $template, '.latte' ), $params );
	}
}
