<?php

use SmartMailer\Forms\Options;
use SmartMailer\Forms\WPForms;
use SmartMailer\Forms\CF7;

require_once SMARTMAILER_ROOT_DIR . '/forms/Options.php';
require_once SMARTMAILER_ROOT_DIR . '/forms/WPForms.php';
require_once SMARTMAILER_ROOT_DIR . '/forms/CF7.php';
require_once SMARTMAILER_ROOT_DIR . '/src/SmartMailerFunctions.php';

define( 'SMARTMAILER_ACTIVE', __( 'Aktivní', 'smartmailer' ) );
define( 'SMARTMAILER_INACTIVE', __( 'Neaktivní', 'smartmailer' ) );

function smartmailer_settings_page() {
	$form = ( new Options() )->createForm();
	renderTemplate(
		'settings',
		array(
			'form'                   => $form,
			'int_wordpress'          => true,
			'int_woocommerce'        => SmartMailerFunctions::isWooCommerceActive(),
			'int_cf7'                => SmartMailerFunctions::isContactForm7Active(),
			'int_wpforms'            => SmartMailerFunctions::isWPFormsActive(),
			'smartmailer_export_url' => get_admin_url() . 'admin.php?page=smartmailer-settings&do_smartmailer_export=true',
		)
	);
}

function smartmailer_cf7_settings_page(): void {
	$form      = ( new CF7() )->createForm();
	$cf7_forms = SmartMailerFunctions::get_cf7_forms();
	$tabs      = array();

	foreach ( $cf7_forms as $cf7_form ) {
		$tabs[ $cf7_form->ID ] = $cf7_form->post_title;
	}

	renderTemplate(
		'cf7',
		array(
			'form'    => $form,
			'tabs'    => $tabs,
			'int_cf7' => SmartMailerFunctions::isContactForm7Active(),
		)
	);
}

function smartmailer_wpf_settings_page(): void {
	$form     = ( new WPForms() )->createForm();
	$wp_forms = SmartMailerFunctions::get_wpforms_forms();
	$tabs     = array();

	foreach ( $wp_forms as $wp_form ) {
		$tabs[ $wp_form->ID ] = $wp_form->post_title;
	}

	renderTemplate(
		'wpforms',
		array(
			'form'        => $form,
			'tabs'        => $tabs,
			'int_wpforms' => SmartMailerFunctions::isWPFormsActive(),
		)
	);
}
